<?php

function konyvtar_csatlakozas() {
	
	try {
		$conn = new PDO("mysql:host=localhost;dbname=KONYTAR;charset=utf8", "root", "");
	} catch (PDOException $ex) {
		echo "Csatlakozási hiba: " . $ex->getMessage();
	}
		
	return $conn;
	
}

function konyvet_beszur($konyvszam, $szerzo, $cim, $kiado, $ev) {
	
	if ( !($conn = konyvtar_csatlakozas()) ) { // ha nem sikerult csatlakozni, akkor kilepunk
		die("Hiba a csatlakozásnál");
	}
	
	
	// elokeszitjuk az utasitast
	$stmt = $conn->prepare('INSERT INTO KONYVEK(konyvszam, szerzo, cim, kiado, ev) VALUES (:konyvszam, :szerzo, :cim, :kiado, :ev)');
	
	// bekotjuk a parametereket (igy biztonsagosabb az adatkezeles)
	$stmt->bindParam(':konyvszam',$konyvszam, PDO::PARAM_STR, 20); 
	$stmt->bindParam(':szerzo',$szerzo, PDO::PARAM_STR, 100);
	$stmt->bindParam(':cim', $cim, PDO::PARAM_STR, 60);
	$stmt->bindParam(':kiado',$kiado, PDO::PARAM_STR, 60);
	$stmt->bindParam(':ev', $ev, PDO::PARAM_INT);
	
	// lefuttatjuk az SQL utasitast
	$stmt->execute(); 

	// $stmt->debugDumpParams(); // debuggoláshoz
	
	 
	$stmt = null;
	$conn = null;
	return true;
}

